(* $Id: main.ml 260 2004-01-28 15:53:50Z gerd $
 * ----------------------------------------------------------------------
 * Copyright 2003 by Gerd Stolpmann.
 *
 * This file is part of godi-tools.
 *
 * godi-tools is free software; you can redistribute it and/or modify it
 * under the conditions in the file LICENSE.
 *
 * godi-tools is distributed WITHOUT ANY WARRANTY, as detailed in the
 * file LICENSE.
 *)

open Printf;;

try
  if Array.length Sys.argv > 1 then
    Cmd.exec_cmd()
  else (
    let t0 = Unix.gettimeofday() in
    let print_times =
      ( try
	  let script = Sys.getenv "GODI_TEST_SCRIPT" in
	  Godi_tty.load_script script;
	  true
	with
	    Not_found -> false
      ) in
    let pg = new Miniui_tty.tty_page() in
    Menu_main.display pg;
    let t1 = Unix.gettimeofday() in
    let pt = Unix.times() in
    if print_times then (
      print_newline();
      printf "Wallclock time:       %5.2f\n" (t1-.t0);
      printf "Process time (user):  %5.2f\n" pt.Unix.tms_utime;
      printf "Process time (sys):   %5.2f\n" pt.Unix.tms_stime;
      printf "Children time (user): %5.2f\n" pt.Unix.tms_cutime;
      printf "Children time (sys):  %5.2f\n" pt.Unix.tms_cstime;
    )
  )
with
    Sys.Break ->
      exit 10
;;

