(* $Id: godi_query.mli 265 2004-02-11 00:41:09Z gerd $
 * ----------------------------------------------------------------------
 * Copyright 2003 by Gerd Stolpmann.
 *
 * This file is part of godi-tools.
 *
 * godi-tools is free software; you can redistribute it and/or modify it
 * under the conditions in the file LICENSE.
 *
 * godi-tools is distributed WITHOUT ANY WARRANTY, as detailed in the
 * file LICENSE.
 *)

(* Query the databases of available and installed packages *)

open Godi_types
open Godi_exec
open Godi_versions

val godi_conf : unit -> string
  (* Returns the location of godi.conf *)

val localbase : unit -> string
  (* Returns the value of LOCALBASE *)

val pkgdbdir : unit -> string
  (* Returns the value of PKG_DBDIR *)

val buildbase : unit -> string
  (* Returns the build directory, i.e. $LOCALBASE/build *)

val get_tools_makefile : unit -> string
  (* Returns a path to the godi_tools.mk file *)

val query_makefile :
      ?protocol:collector ->
      ?godi_conf:string ->
      ?makefile:string ->
      string  ->
      string list ->
        string list
  (* query_makefile directory varnames: chdir to directory, and query the
   * values of varnames using "show-vars".
   * TODO: Move to Godi_make.
   *)


val scan_source_packages :
      ?rescan:bool ->
      ?protocol:collector ->
      unit ->
	package list

val scan_installed_packages :
      ?rescan:bool ->
      ?protocol:collector ->
      unit ->
	package list

val forget_source_packages : unit -> unit

val forget_installed_packages : unit -> unit


(*
val scan_binary_packages :
      ?rescan:bool ->
      unit ->
	package list
*)

val matches_dep : package -> dependency -> bool

val error_msg : exn -> string
